{ pkgs }:

let
  # Pin nixpkgs to avoid frequent resource-intensive Windows reinstallations on Hydra.
  wfvm-pkgs = pkgs.fetchFromGitHub {
    owner = "NixOS";
    repo = "nixpkgs";
    rev = "f8248ab6d9e69ea9c07950d73d48807ec595e923";
    sha256 = "009i9j6mbq6i481088jllblgdnci105b2q4mscprdawg3knlyahk";
  };
  wfvm = pkgs.fetchgit {
    url = "https://git.m-labs.hk/M-Labs/wfvm.git";
    rev = "93796f7a711776384177cacefbb43d38c368e2b0";
    sha256 = "sha256-GMS8mkV+/mLyUoaAO7okP6/hp1PQpYm6DkT8lE2d1nI=";
  };
in import "${wfvm}/wfvm" { pkgs = (import wfvm-pkgs {}); }
